#
# Conditional build:
%bcond_with	tests		# build without tests

%define pkgname uuidtools
Summary:	UUID generation library for Ruby
Name:		ruby-%{pkgname}
Version:	2.1.5
Release:	1
License:	Apache v2.0
Group:		Development/Languages
Source0:	http://gems.rubyforge.org/gems/uuidtools-%{version}.gem
# Source0-md5:	13de7689edf1f1628d4a14daa764bf5a
URL:		https://github.com/sporkmonger/uuidtools
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
%if %{with tests}
BuildRequires:	ruby-launchy >= 2.0.0
BuildRequires:	ruby-rake >= 0.7.3
BuildRequires:	ruby-rspec >= 2.9.0
BuildRequires:	ruby-yard >= 0.8.2
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
UUIDTools was designed to be a simple library for generating any of
the various types of UUIDs (or GUIDs if you prefer to call them that).
It conforms to RFC 4122 whenever possible.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q

%build
# write .gemspec
%__gem_helper spec

rdoc --op rdoc lib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}/%{name}-%{version},%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}
cp -a rdoc/* $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md CHANGELOG
%{ruby_vendorlibdir}/uuidtools.rb
%{ruby_vendorlibdir}/uuidtools
%dir %{ruby_vendorlibdir}/compat
%{ruby_vendorlibdir}/compat/securerandom.rb
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}
%changelog
* Thu Jun 02 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-uuidtools.git;a=log;h=master

* Thu Jun 02 2016 Elan Ruusamäe <glen@delfi.ee> 1ba8347
- add doc

* Thu Jun 02 2016 Elan Ruusamäe <glen@delfi.ee> d1e1c8b
- up to 2.1.5

* Tue Aug 25 2015 Elan Ruusamäe <glen@delfi.ee> 0542950
- rebuild without versioned ruby abi dep
- release 4 (by relup.sh)

* Tue Aug 25 2015 Elan Ruusamäe <glen@delfi.ee> 4a5e7f6
- install to ruby_vendorlibdir; package gemspec

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> b7bfc61
- rebuild for ruby 2.0
- release 2 (by relup.sh)

* Wed Apr 03 2013 Elan Ruusamäe <glen@delfi.ee> fdca104
- rpm5 can unpack .gem; add -rdoc subpackage

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> fb642a3
- dropped unused BR: rake

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 447d57d
- BR: unlock setup.rb version (allow newer setup.rb)

* Sat Jun 21 2008 aredridel <aredridel@pld-linux.org> 79ef05a
- added

